Returns all available webhooks
curl --request GET \
--url https://console.sendlayer.com/api/v1/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sendlayer.com/api/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sendlayer.com/api/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Webhooks": [
{
"WebhookID": 972,
"CreatedAt": "2022-07-25T17:33:32.000Z",
"UpdatedAt": "2022-07-25T17:33:32.000Z",
"Status": "Enabled",
"WebhookURL": "https://eojhlevpsweagozcsg.m.example.net",
"Event": "delivered",
"LastResponseCode": 0,
"LastResponseBody": "",
"LastResponseAt": "1899-11-30T00:00:00.000Z",
"LastResponseTryCounter": 0
}
]
}Webhooks
Get Webhooks
Returns all the available webhooks you’ve added to your domain registered in SendLayer.
For details on using webhooks in the SendLayer app, see our guide to managing webhooks.
GET
/
webhooks
Returns all available webhooks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
OK
A succesful response returns records for the webhooks you've added to your registered domain
A succesful response returns records for the webhooks you've added to your registered domain.
Show child attributes
Show child attributes
Was this page helpful?
⌘I